Assignments Assignments

Public Member Functions | Public Attributes | List of all members
jpeg_memory_mgr Struct Reference

`#include <jpeglib.h>`

## Public Member Functions
| JMETHOD (void *, alloc_small,(j_common_ptr cinfo, int pool_id, size_t sizeofobject))
| JMETHOD (void FAR *, alloc_large,(j_common_ptr cinfo, int pool_id, size_t sizeofobject))
| JMETHOD (JSAMPARRAY, alloc_sarray,(j_common_ptr cinfo, int pool_id, JDIMENSION samplesperrow, JDIMENSION numrows))
| JMETHOD (JBLOCKARRAY, alloc_barray,(j_common_ptr cinfo, int pool_id, JDIMENSION blocksperrow, JDIMENSION numrows))
| JMETHOD (jvirt_sarray_ptr, request_virt_sarray,(j_common_ptr cinfo, int pool_id, boolean pre_zero, JDIMENSION samplesperrow, JDIMENSION numrows, JDIMENSION maxaccess))
| JMETHOD (jvirt_barray_ptr, request_virt_barray,(j_common_ptr cinfo, int pool_id, boolean pre_zero, JDIMENSION blocksperrow, JDIMENSION numrows, JDIMENSION maxaccess))
| JMETHOD (void, realize_virt_arrays,(j_common_ptr cinfo))
| JMETHOD (JSAMPARRAY, access_virt_sarray,(j_common_ptr cinfo, jvirt_sarray_ptr ptr, JDIMENSION start_row, JDIMENSION num_rows, boolean writable))
| JMETHOD (JBLOCKARRAY, access_virt_barray,(j_common_ptr cinfo, jvirt_barray_ptr ptr, JDIMENSION start_row, JDIMENSION num_rows, boolean writable))
| JMETHOD (void, free_pool,(j_common_ptr cinfo, int pool_id))
| JMETHOD (void, self_destruct,(j_common_ptr cinfo))

## Public Attributes
long | max_memory_to_use
long | max_alloc_chunk

## Member Function Documentation

## ◆ JMETHOD() [1/11]

jpeg_memory_mgr::JMETHOD | ( | JBLOCKARRAY | ,
|  | access_virt_barray | ,
|  | (j_common_ptr cinfo, jvirt_barray_ptr ptr, JDIMENSION start_row, JDIMENSION num_rows, boolean writable) | )

## ◆ JMETHOD() [2/11]

jpeg_memory_mgr::JMETHOD | ( | JBLOCKARRAY | ,
|  | alloc_barray | ,
|  | (j_common_ptr cinfo, int pool_id, JDIMENSION blocksperrow, JDIMENSION numrows) | )

## ◆ JMETHOD() [3/11]

jpeg_memory_mgr::JMETHOD | ( | JSAMPARRAY | ,
|  | access_virt_sarray | ,
|  | (j_common_ptr cinfo, jvirt_sarray_ptr ptr, JDIMENSION start_row, JDIMENSION num_rows, boolean writable) | )

## ◆ JMETHOD() [4/11]

jpeg_memory_mgr::JMETHOD | ( | JSAMPARRAY | ,
|  | alloc_sarray | ,
|  | (j_common_ptr cinfo, int pool_id, JDIMENSION samplesperrow, JDIMENSION numrows) | )

## ◆ JMETHOD() [5/11]

jpeg_memory_mgr::JMETHOD | ( | jvirt_barray_ptr | ,
|  | request_virt_barray | ,
|  | (j_common_ptr cinfo, int pool_id, boolean pre_zero, JDIMENSION blocksperrow, JDIMENSION numrows, JDIMENSION maxaccess) | )

## ◆ JMETHOD() [6/11]

jpeg_memory_mgr::JMETHOD | ( | jvirt_sarray_ptr | ,
|  | request_virt_sarray | ,
|  | (j_common_ptr cinfo, int pool_id, boolean pre_zero, JDIMENSION samplesperrow, JDIMENSION numrows, JDIMENSION maxaccess) | )

## ◆ JMETHOD() [7/11]

jpeg_memory_mgr::JMETHOD | ( | void * | ,
|  | alloc_small | ,
|  | (j_common_ptr cinfo, int pool_id, size_t sizeofobject) | )

## ◆ JMETHOD() [8/11]

jpeg_memory_mgr::JMETHOD | ( | void FAR * | ,
|  | alloc_large | ,
|  | (j_common_ptr cinfo, int pool_id, size_t sizeofobject) | )

## ◆ JMETHOD() [9/11]

jpeg_memory_mgr::JMETHOD | ( | void | ,
|  | free_pool | ,
|  | (j_common_ptr cinfo, int pool_id) | )

## ◆ JMETHOD() [10/11]

jpeg_memory_mgr::JMETHOD | ( | void | ,
|  | realize_virt_arrays | ,
|  | (j_common_ptr cinfo) | )

## ◆ JMETHOD() [11/11]

jpeg_memory_mgr::JMETHOD | ( | void | ,
|  | self_destruct | ,
|  | (j_common_ptr cinfo) | )

## Member Data Documentation

## ◆ max_alloc_chunk

long jpeg_memory_mgr::max_alloc_chunk

## ◆ max_memory_to_use

long jpeg_memory_mgr::max_memory_to_use

The documentation for this struct was generated from the following file:

- Assignments/JPEG/jpeglib.h